from ..location import Location
from ..vlan import VLANClass
import gocept.directory2.testing
import unittest


class VLANCreationTest(unittest.TestCase):

    layer = gocept.directory2.testing.BASE_APPLICATION_LAYER

    def test_location_added_creates_vlans_for_all_classes(self):
        location = Location.create(name='foo')
        self.assertEqual(VLANClass.query().count(), len(location.vlans))
