"""move_name_to_service_user

Revision ID: 2e98fb0b99fc
Revises: 232a4a474604
Create Date: 2013-05-03 14:07:04.912270

"""

# revision identifiers, used by Alembic.
revision = '2e98fb0b99fc'
down_revision = '232a4a474604'

from alembic import op
import sqlalchemy as sa


def upgrade():
    op.execute("ALTER TABLE users_service ADD COLUMN name text")
    op.execute("UPDATE users_service SET name = ("
               "  SELECT users.name FROM users WHERE "
               "    users.id = users_service.id)")
    op.execute("ALTER TABLE users DROP COLUMN name")


def downgrade():
    op.execute("ALTER TABLE users ADD COLUMN name text")
    op.execute("UPDATE users SET name = ("
               "  SELECT users_service.name FROM users_service WHERE "
               "    users.id = users_service.id)")
    op.execute("ALTER TABLE users_service DROP COLUMN name")
